// comcadlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CComcapDlg dialog

class CComcapDlg : public CDialog
{
// Construction
public:
	CComcapDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CComcapDlg)
	enum { IDD = IDD_COMCAP_DIALOG };
	CListBox	m_Output;
	CButton	m_MBOK;
	CString	m_InputFilename;
	CString	m_OutputFilename;
	//}}AFX_DATA
    HANDLE  hOutputFile;
    HANDLE  hInputFile;
    HANDLE  hMapOutputFile;
    LPBYTE  lpOutFile;  // mem mapped pointer...
    HANDLE  hMapInputFile;
    LPBYTE  lpInFile;  // mem mapped pointer...
    DWORD   nInFileSize;

    void DoOutputLine ( CString Str);
    UINT TrustedWorkerThread (void);
    void ExtractFrame ( LPVOID * lpFrame );

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CComcapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CComcapDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
